Index: debian/changelog
===================================================================
--- debian/changelog	(révision 1856)
+++ debian/changelog	(copie de travail)
@@ -1,3 +1,11 @@
+devscripts (2.10.48+lolando) unstable; urgency=low
+
+  * rmadison: Read a new RMADISON_DEFAULT_URL configuration variable
+    allowing to store the default URL (or list of URLs) to use.  (Closes:
+    #XXXXXX (bug number pending)).
+
+ -- Roland Mas <lolando@debian.org>  Wed, 15 Apr 2009 14:19:26 +0200
+
 devscripts (2.10.48) unstable; urgency=low
 
   [ Adam D. Barratt ]
Index: scripts/rmadison.pl
===================================================================
--- scripts/rmadison.pl	(révision 1856)
+++ scripts/rmadison.pl	(copie de travail)
@@ -75,6 +75,7 @@
     'debug' => "http://debug.debian.net/cgi-bin/madison.cgi",
     'ubuntu' => "http://people.ubuntu.com/~ubuntu-archive/madison.cgi",
 );
+my $default_url = "debian";
 
 if (@ARGV and $ARGV[0] =~ /^--no-?conf$/) {
     shift;
@@ -96,8 +97,11 @@
     @config_vars = split /\n/, $shell_out, -1;
 
    foreach my $envvar (@config_vars) {
-	$envvar =~ /^RMADISON_URL_MAP_([^=]*)=(.*)$/ or next;
-	$url_map{lc($1)}=$2;
+	if ($envvar =~ /^RMADISON_URL_MAP_([^=]*)=(.*)$/) {
+	    $url_map{lc($1)}=$2;
+	} elsif ($envvar =~ /^RMADISON_DEFAULT_URL=(.*)$/) {
+	    $default_url=$1;
+	}
     }
 }
 
@@ -161,7 +165,7 @@
 push @args, "S" if $params->{'source-and-binary'};
 push @args, "t" if $params->{'time'};
 
-my $url = $params->{'url'} ? $params->{'url'} : "debian";
+my $url = $params->{'url'} ? $params->{'url'} : $default_url;
 my @url = split /,/, $url;
 
 foreach my $url (@url) {
@@ -276,6 +280,10 @@
 Multiple shorthand entries may be specified by using multiple
 B<RMADISON_URL_MAP_*> variables.
 
+=item B<RMADISON_DEFAULT_URL>=I<URL>
+
+Set the default URL to use unless overridden by a command line option.
+
 =back
 
 =head1 NOTES
